ActiveMQDestination (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.client

## Class ActiveMQDestination

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQDestination

- All Implemented Interfaces:
    Serializable, javax.jms.Destination, Referenceable
  Direct Known Subclasses:
    ActiveMQQueue, ActiveMQTopic

      public class ActiveMQDestination
      extends Object
      implements javax.jms.Destination, Serializable, Referenceable

  ActiveMQ Artemis implementation of a JMS Destination.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JMS_QUEUE_ADDRESS_PREFIX`
    `static String` | `JMS_TEMP_QUEUE_ADDRESS_PREFIX`
    `static String` | `JMS_TEMP_TOPIC_ADDRESS_PREFIX`
    `static String` | `JMS_TOPIC_ADDRESS_PREFIX`
    `protected String` | `name` The JMS name
    `static String` | `QUEUE_QUALIFIED_PREFIX`
    `static byte` | `QUEUE_TYPE`
    `static byte` | `TEMP_MASK`
    `static String` | `TEMP_QUEUE_QUALIFED_PREFIX`
    `static byte` | `TEMP_QUEUE_TYPE`
    `static String` | `TEMP_TOPIC_QUALIFED_PREFIX`
    `static byte` | `TEMP_TOPIC_TYPE`
    `static String` | `TOPIC_QUALIFIED_PREFIX`
    `static byte` | `TOPIC_TYPE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ActiveMQDestination(String address, String name, boolean temporary, boolean queue, ActiveMQSession session)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActiveMQDestination` | `createDestination(String name, byte defaultType)` Static helper method for working with destinations.
    `static ActiveMQQueue` | `createQueue(String name)`
    `static SimpleString` | `createQueueAddressFromName(String name)`
    `static String` | `createQueueNameForDurableSubscription(boolean isDurable, String clientID, String subscriptionName)`
    `static String` | `createQueueNameForSharedSubscription(boolean isDurable, String clientID, String subscriptionName)`
    `static ActiveMQTemporaryQueue` | `createTemporaryQueue(ActiveMQSession session)`
    `static ActiveMQTemporaryQueue` | `createTemporaryQueue(String name)`
    `static ActiveMQTemporaryQueue` | `createTemporaryQueue(String name, ActiveMQSession session)`
    `static ActiveMQTemporaryTopic` | `createTemporaryTopic(ActiveMQSession session)`
    `static ActiveMQTemporaryTopic` | `createTemporaryTopic(String name)`
    `static ActiveMQTemporaryTopic` | `createTemporaryTopic(String name, ActiveMQSession session)`
    `static ActiveMQTopic` | `createTopic(String name)`
    `static SimpleString` | `createTopicAddressFromName(String name)`
    `static Pair<String,String>` | `decomposeQueueNameForDurableSubscription(String queueName)`
    `void` | `delete()`
    `boolean` | `equals(Object o)`
    `static javax.jms.Destination` | `fromAddress(String address)`
    `String` | `getAddress()`
    `String` | `getName()`
    `Reference` | `getReference()`
    `SimpleString` | `getSimpleAddress()`
    `int` | `hashCode()`
    `boolean` | `isQueue()`
    `boolean` | `isTemporary()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JMS_QUEUE_ADDRESS_PREFIX

          public static final String JMS_QUEUE_ADDRESS_PREFIX

      See Also:
        Constant Field Values

    - #### JMS_TEMP_QUEUE_ADDRESS_PREFIX

          public static final String JMS_TEMP_QUEUE_ADDRESS_PREFIX

      See Also:
        Constant Field Values

    - #### JMS_TOPIC_ADDRESS_PREFIX

          public static final String JMS_TOPIC_ADDRESS_PREFIX

      See Also:
        Constant Field Values

    - #### JMS_TEMP_TOPIC_ADDRESS_PREFIX

          public static final String JMS_TEMP_TOPIC_ADDRESS_PREFIX

      See Also:
        Constant Field Values

    - #### QUEUE_QUALIFIED_PREFIX

          public static final String QUEUE_QUALIFIED_PREFIX

      See Also:
        Constant Field Values

    - #### TOPIC_QUALIFIED_PREFIX

          public static final String TOPIC_QUALIFIED_PREFIX

      See Also:
        Constant Field Values

    - #### TEMP_QUEUE_QUALIFED_PREFIX

          public static final String TEMP_QUEUE_QUALIFED_PREFIX

      See Also:
        Constant Field Values

    - #### TEMP_TOPIC_QUALIFED_PREFIX

          public static final String TEMP_TOPIC_QUALIFED_PREFIX

      See Also:
        Constant Field Values

    - #### QUEUE_TYPE

          public static final byte QUEUE_TYPE

      See Also:
        Constant Field Values

    - #### TOPIC_TYPE

          public static final byte TOPIC_TYPE

      See Also:
        Constant Field Values

    - #### TEMP_MASK

          public static final byte TEMP_MASK

      See Also:
        Constant Field Values

    - #### TEMP_TOPIC_TYPE

          public static final byte TEMP_TOPIC_TYPE

      See Also:
        Constant Field Values

    - #### TEMP_QUEUE_TYPE

          public static final byte TEMP_QUEUE_TYPE

      See Also:
        Constant Field Values

    - #### name

          protected final String name

      The JMS name

  - ### Constructor Detail

    - #### ActiveMQDestination

          protected ActiveMQDestination(String address,
                                        String name,
                                        boolean temporary,
                                        boolean queue,
                                        ActiveMQSession session)

  - ### Method Detail

    - #### createDestination

          public static ActiveMQDestination createDestination(String name,
                                                              byte defaultType)

      Static helper method for working with destinations.

    - #### fromAddress

          public static javax.jms.Destination fromAddress(String address)

    - #### createQueueNameForDurableSubscription

          public static String createQueueNameForDurableSubscription(boolean isDurable,
                                                                     String clientID,
                                                                     String subscriptionName)

    - #### createQueueNameForSharedSubscription

          public static String createQueueNameForSharedSubscription(boolean isDurable,
                                                                    String clientID,
                                                                    String subscriptionName)

    - #### decomposeQueueNameForDurableSubscription

          public static Pair<String,String> decomposeQueueNameForDurableSubscription(String queueName)

    - #### createQueueAddressFromName

          public static SimpleString createQueueAddressFromName(String name)

    - #### createTopicAddressFromName

          public static SimpleString createTopicAddressFromName(String name)

    - #### createQueue

          public static ActiveMQQueue createQueue(String name)

    - #### createTopic

          public static ActiveMQTopic createTopic(String name)

    - #### createTemporaryQueue

          public static ActiveMQTemporaryQueue createTemporaryQueue(String name,
                                                                    ActiveMQSession session)

    - #### createTemporaryQueue

          public static ActiveMQTemporaryQueue createTemporaryQueue(String name)

    - #### createTemporaryQueue

          public static ActiveMQTemporaryQueue createTemporaryQueue(ActiveMQSession session)

    - #### createTemporaryTopic

          public static ActiveMQTemporaryTopic createTemporaryTopic(ActiveMQSession session)

    - #### createTemporaryTopic

          public static ActiveMQTemporaryTopic createTemporaryTopic(String name,
                                                                    ActiveMQSession session)

    - #### createTemporaryTopic

          public static ActiveMQTemporaryTopic createTemporaryTopic(String name)

    - #### getReference

          public Reference getReference()
                                 throws NamingException

      Specified by:
        `getReference` in interface `Referenceable`
      Throws:
        `NamingException`

    - #### delete

          public void delete()
                      throws javax.jms.JMSException

      Throws:
        `javax.jms.JMSException`

    - #### isQueue

          public boolean isQueue()

    - #### getAddress

          public String getAddress()

    - #### getSimpleAddress

          public SimpleString getSimpleAddress()

    - #### getName

          public String getName()

    - #### isTemporary

          public boolean isTemporary()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2015. All rights reserved.